Bug 142734 - CAN-2004-1335 ip_options_get memory leak
CAN-2004-1335 ip_options_get memory leak
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
public=20041208,impact=important
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-13 10:13 EST by Mark J. Cox (Product Security)
Modified: 2013-08-05 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 10:37:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-12-13 10:13:02 EST
If the user makes ip_cmsg_send call ip_options_get
multiple times, we leak kmalloced IP options data, noticed
by Georgi Guninksi, with reproducer uvmemeat.c

Fixed upstream:
http://linux.bkbits.net:8080/linux-2.4/cset@41b766beodCDEFPbjDRLoUUUxw4Z6w

See bug 142733 for reproducer
Comment 1 Jim Paradis 2004-12-21 13:42:04 EST
A fix for this problem has just been committed to the RHEL2.1 E7
patch pool (in kernel version 2.4.9-e.58)
Comment 2 Josh Bressers 2005-01-21 10:37:26 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-016.html

Note You need to log in before you can comment on or make changes to this bug.